import React from "react";
import { MiniCard, SocialMediaIcon } from "@fchh/fcos-suite-ui";
import type { SocialNetworks } from "@fchh/fcos-suite-ui";

type Props = {
  name: any;
  subtitle: any;
  socialMedia?: Array<{ href: string; type: string }>;
  className?: string;
  image?: { alt: string; src: string };
};

const MiniCardLinkWrapper: React.FC<Props> = ({
  name,
  subtitle,
  socialMedia,
  image,
  ...rest
}) => {
  const subtitleEl = (
    <>
      <a href={subtitle} target="_blank" rel="noreferrer">
        {subtitle?.replace(/^https?:\/\//g, "")}
      </a>
      {socialMedia?.length > 0 && (
        <div className="flex gap-2 text-black items-center">
          {socialMedia?.map((s) => (
            <SocialMediaIcon
              key={name + s.type}
              href={s.href}
              className="w-4 h-4 sm:w-5 sm:h-5"
              type={s.type as SocialNetworks}
            />
          ))}
        </div>
      )}
    </>
  );
  return <MiniCard subtitle={subtitleEl} name={name} image={image} {...rest} />;
};

export default MiniCardLinkWrapper;
